Subject: bug#11681: GNU Emacs 24.1.1 (i386-mingw-nt6.1.7601) Save bug

From: Juanma Barranquero <[email-masked]>
Date: Tue, 19 Jun 2012 13:28:49 +0200

On Tue, Jun 19, 2012 at 7:37 AM, Olaf <[email-masked]> wrote:

>>  "SOFTWARE\GNU\Emacs"
> not exist, even on CURRENT USER and LOCAL_MACHINE

Try HLKM\SOFTWARE\Wow6432Node\GNU\Emacs

>>  "SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\emacs.exe"
>>  "SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\runemacs.exe"
>
> also not found, I'm using win7 x64!

"HLKM\SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths" does exist
on win7 64-bit. If the emacs.exe and runemacs.exe keys do not exist,
that could mean that addpm.exe has not run, or that it somehow didn't
have permission to write these to the registry.

    Juanma